Bug 1491718 - [3.6] fact gathering fails during upgrade from 3.4 to 3.5 on delete_empty_keys(facts['master']['admission_plugin_config']['BuildDefaults']['configuration']['env'])\r\nKeyError: 'env'\r\n"
Summary: [3.6] fact gathering fails during upgrade from 3.4 to 3.5 on delete_empty_key...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.6.z
Assignee: Scott Dodson
QA Contact: liujia
URL:
Whiteboard:
Depends On: 1469387 1515457 1515458 1515459
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-14 13:26 UTC by Scott Dodson
Modified: 2020-12-14 10:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The configuration management for builddefaults attempts to remove environment variables that were previously defined but have since been removed from the configuration. In situations where no environment variables have been configured this was failing because the 'env' key did not exist. The process has now been updated to skip the cleanup when the env key does not exist.
Clone Of: 1469387
Environment:
Last Closed: 2018-01-09 20:18:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Tim Bielawa 2017-09-14 13:27:41 UTC
3.6 PR

https://github.com/openshift/openshift-ansible/pull/5400

Comment 3 liujia 2017-09-27 10:26:31 UTC
Refer to 1469387.

Comment 5 liujia 2017-09-28 07:43:56 UTC
Refer to 1469387.

Comment 7 Javier Ramirez 2017-11-02 14:21:29 UTC
Any news on when this will be included in an errata ?

Comment 9 Scott Dodson 2018-01-09 20:18:04 UTC
This fix is in openshift-ansible-3.7.10-1, openshift-ansible-3.6.173.0.81-1, openshift-ansible-3.5.146-1 all of which have shipped.

It's also fixed in master as well.


Note You need to log in before you can comment on or make changes to this bug.